summaryrefslogtreecommitdiffstats
path: root/source/l/mpfr/mpfr.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/mpfr/mpfr.SlackBuild')
-rwxr-xr-xsource/l/mpfr/mpfr.SlackBuild36
1 files changed, 26 insertions, 10 deletions
diff --git a/source/l/mpfr/mpfr.SlackBuild b/source/l/mpfr/mpfr.SlackBuild
index a96001cd1..1e56ba3d3 100755
--- a/source/l/mpfr/mpfr.SlackBuild
+++ b/source/l/mpfr/mpfr.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,23 +20,26 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Modified 2011 by Eric Hameleers <alien at slackware.com> for ARM port.
PKGNAM=mpfr
-VERSION=${VERSION:-$(echo mpfr-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo mpfr-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) export ARCH=$MARCH ;;
esac
fi
-NUMJOBS=${NUMJOBS:-" -j7 "}
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -46,11 +49,19 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-mpfr
@@ -65,7 +76,7 @@ fi
cd $TMP
rm -rf mpfr-$VERSION
-tar xvf $CWD/mpfr-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/mpfr-$VERSION.tar.xz || exit 1
cd mpfr-$VERSION
chown -R root:root .
@@ -78,6 +89,11 @@ if [ ! -z "$(ls $CWD/patches/* 2> /dev/null)" ]; then
done
fi
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+ exit 0
+fi
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -86,7 +102,7 @@ CFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/mpfr-$VERSION \
--enable-static=yes \
--enable-shared=yes \
- --build=$ARCH-slackware-linux
+ --build=$TARGET
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1